Index: phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.css
===================================================================
--- phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.css	(revision 48f3030e929e5d3717498b6e78a9813429162fde)
+++ phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.css	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -71,2 +71,6 @@
 }
 
+.show-all-specs-icon:hover{
+    cursor: pointer;
+}
+
Index: phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.js
===================================================================
--- phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.js	(revision 48f3030e929e5d3717498b6e78a9813429162fde)
+++ phonelux-frontend/src/components/CompareOffersComponent/CompareOffersComponent.js	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -6,4 +6,6 @@
 import axios from 'axios';
 import Tippy from '@tippyjs/react';
+import VisibilityIcon from '@mui/icons-material/Visibility';
+import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
 
 export class CompareOffersComponent extends Component {
@@ -13,5 +15,6 @@
     
       this.state = {
-         offersToCompare: []
+         offersToCompare: [],
+         showAllSpecs : false
       }
     }
@@ -48,7 +51,12 @@
     }
 
+    changeShownSpecs = () => {
+        this.setState({
+            showAllSpecs: !this.state.showAllSpecs
+        })
+    }
+
     
   render() {
-    console.log(this.state)
     return (
       <div className='compare-offers-main'>
@@ -65,5 +73,15 @@
                 <tbody>
                     <tr className='compare-offers-table-row'>
-                        <th className='compare-offer-table-headers'></th>
+                        <th className='compare-offer-table-headers'>
+                            {
+                                this.state.showAllSpecs ? 
+                            <Tippy placement='bottom' content='Прикажи ги избраните спецификации'>
+                                <VisibilityOffIcon className='show-all-specs-icon' onClick={this.changeShownSpecs} style={{fontSize: '45px'}}/>
+                            </Tippy> :
+                            <Tippy placement='bottom' content='Прикажи ги сите спецификации'>
+                                <VisibilityIcon className='show-all-specs-icon' onClick={this.changeShownSpecs} style={{fontSize: '45px'}}/>
+                            </Tippy>
+                            }
+                        </th>
                         {
                             this.state.offersToCompare.map((offer,idx) => 
@@ -93,5 +111,7 @@
                         }
                     </tr>
-                    { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РАМ меморија") ?
+                    { this.state.showAllSpecs ||
+                    !localStorage.getItem('pickedSpecifications') || 
+                    localStorage.getItem('pickedSpecifications').includes("РАМ меморија") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>РАМ меморија</th>
@@ -102,5 +122,7 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РОМ меморија") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || 
+                     localStorage.getItem('pickedSpecifications').includes("РОМ меморија") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>РОМ меморија</th>
@@ -111,5 +133,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Предна камера") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Предна камера") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Предна камера</th>
@@ -120,5 +143,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Задна камера") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Задна камера") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Задна камера</th>
@@ -129,5 +153,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Процесор") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Процесор") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Процесор</th>
@@ -138,5 +163,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Чипсет") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Чипсет") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Чипсет</th>
@@ -147,5 +173,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Оперативен систем") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Оперативен систем") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Оперативен систем</th>
@@ -156,5 +183,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Батерија") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Батерија") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Батерија</th>
@@ -165,5 +193,6 @@
                     </tr> : <></>
                     }
-                     { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Боја") ?
+                     { this.state.showAllSpecs ||
+                     !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Боја") ?
                     <tr className='compare-offers-table-row'>
                         <th className='compare-offer-table-headers'>Боја</th>
